
%global meadversion 3.1.4
%global namedversion 3.1.4.GA-redhat-1
%global meadalpha .GA_redhat_1
%global meadrel .1
%global serial 1

# Copyright (c) 2000-2009, JPackage Project # All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
%bcond_without mead

%if "%{?rhel}" == "6" 
%global _jarsign_opts --unsign=%{_javadir} 
%endif

%if 0
%global reltag .GA
%global rhnamedversion %{version}%{reltag}-redhat-1
%global eapversion %{namedversion}_redhat_1
%global meadversion %{namedversion}-redhat-1
%endif

%define section free

%define maven_version 3.1.4.GA-redhat-1

Name: jboss-logging
Summary: The JBoss Logging Framework
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
License: LGPLv2+
Group: Development/Libraries

%if %with mead
Source100: jboss-logging-3.1.4.GA-redhat-1-scm-sources.zip
Source102: jboss-logging-3.1.4.GA-redhat-1-sources.jar
Source103: jboss-logging-3.1.4.GA-redhat-1.jar
Source104: jboss-logging-3.1.4.GA-redhat-1.pom
Source105: jboss-logging-3.1.4.GA-redhat-1-javadoc.jar
%endif


Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

BuildRequires:       jpackage-utils
BuildRequires:  unzip

BuildArch:      noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
%{summary}.

%if 0
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.
%endif

%if 0
%package src-zip
Summary:        Container for the sources of %{name}
Group:          Development


%description src-zip
Container for the sources of %{name}
%endif

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__mkdir_p} %{buildroot}%{_mavenpomdir}

#poms
install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap org.jboss.logging %{name} %{namedversion} JPP %{name}

#jars
install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)

#javadoc
%if 0
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion} %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && ln -s %{name}-%{namedversion} %{name})
%endif

# src zip
%if 0
install -dm 755 $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/

cp -p %{_sourcedir}/org.jboss.logging-jboss-logging-%{rhnamedversion}-sources.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/%{name}-%{namedversion}-sources.zip
cp -p %{_sourcedir}/org.jboss.logging-jboss-logging-%{rhnamedversion}-patches.zip $RPM_BUILD_ROOT%{_javadir}/jbossas-fordev/%{name}-%{namedversion}-patches.zip
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%if 0
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%endif

%if 0
%files src-zip
%defattr(0644,root,root,0755)
%{_javadir}*/jbossas-fordev/%{name}-%{namedversion}-sources.zip
%{_javadir}*/jbossas-fordev/%{name}-%{namedversion}-patches.zip
%endif

%changelog
* Thu Mar 27 2014 Yong Yang <yyang@redhat.com> - 3.1.4-1.GA_redhat_1.1
- Rebuild wrapper

* Thu Mar 27 2014 Yong Yang <yyang@redhat.com> - 3.1.4-1.GA_redhat_1.1
- Rebuild wrapper

* Thu Mar 27 2014 Yong Yang <yyang@redhat.com> - 3.1.4-1.GA_redhat_1.1
- Rebuild wrapper

* Thu Mar 27 2014 Yong Yang <yyang@redhat.com> - 3.1.4-1.GA_redhat_1.1
- Rebuild wrapper

* Thu Mar 27 2014 Yong Yang <yyang@redhat.com> - 3.1.4-1.GA_redhat_1.1
- comment doclet in javadoc plugin

* Thu Mar 27 2014 Yong Yang <yyang@redhat.com> - 3.1.4-1.Final_redhat_1
- 3.1.4.Final
- Update Spec for mead 

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.GA_redhat_1
- Rebuild for MD5

* Sat Sep 15 2012 Weinan Li <weli@redhat.com> - 3.1.2-2.GA_redhat_1
- Add src-zip

* Thu Aug 16 2012 Lin Gao <lgao@redhat.com> - 3.1.2-1.GA_redhat_1
- Upgrade to 3.1.2.GA

* Mon Aug 13 2012 Fernando Nasser <fnasser@redhat.com> - 3.1.1-1.GA_redhat_2.3
- Rebuild unsigned

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 3.1.1-1.GA_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 3.1.1-1.GA_redhat_1.1
- Rebuild using cache signing

* Wed May 02 2012 Lin Gao <lgao@redhat.com> - 0:3.1.1-1.GA_redhat_1
- Upgrade to 3.1.1.GA
- Do not install -javadoc.jar in main package

* Wed Mar 14 2012 Lin Gao <lgao@redhat.com> - 0:3.1.0-5.GA_redhat_1.1
- Rebuild to use new wrapper

* Tue Feb 21 2012 Lin Gao <lgao@redhat.com> - 0:3.1.0-5.GA_redhat_1
- Upgrade to 3.1.0.GA
- clean build to only for wrapper rpm from mead

* Thu Dec 15 2011 Lin Gao <lgao@redhat.com> - 0:3.1.0-4.CR2_redhat_1
- Upgrade to 3.1.0.CR2

* Mon Nov 14 2011 Lin Gao <lgao@redhat.com> - 0:3.1.0-3.CR1_redhat_1
- Upgrade to 3.1.0.CR1

* Thu Nov 03 2011 Lin Gao <lgao@redhat.com> - 0:3.1.0-2.Beta3_redhat_1
- fix reltag to .Beta3

* Wed Nov 02 2011 Fernando Nasser <fnasser@redhat.com> - 0:3.1.0-1.GA_redhat_1
- Upgrade to 3.1.0.Beta3

* Fri Oct 28 2011 Lin Gao<lgao@redhat.com> - 0:3.0.1-5.GA_redhat_1
- fix signed jars issue.

* Thu Oct 27 2011 Yong Yang <yyang@redhat.com> - 0:3.0.1-4.GA_redhat_1
- Upgrade to 3.0.1.GA

* Wed Aug 31 2011 Hui Wang <huwang@redhat.com> - 0:3.0.0-3.5.GA_redhat_1
- RPM build against the wrapper rpm

* Thu Aug 25 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-3.2.GA_redhat_1
- Build for werewolf

* Mon Aug 15 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-3.1.GA_redhat_1
- Brew build

* Mon Aug 15 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-3.GA
- Brew Build

* Mon Jul 18 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-2.GA
- Upgrade to 3.0.0.GA

* Mon Jun 13 2011 Yong Yang <yyang@redhat.com> - 0:3.0.0-1.beta5
- First build with MEAD
